Bug 2231373 - Review Request: golang-modernc-ccorpus2 - Continuation of ccorpus but using embed.FS
Summary: Review Request: golang-modernc-ccorpus2 - Continuation of ccorpus but using e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-08-11 12:46 UTC by W. Michael Petullo
Modified: 2023-09-28 02:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-20 20:36:33 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description W. Michael Petullo 2023-08-11 12:46:10 UTC
Spec URL: https://www.flyn.org/SRPMS/golang-modernc-ccorpus2.spec
SRPM URL: https://www.flyn.org/SRPMS/golang-modernc-ccorpus2-1.4.1-1.fc38.src.rpm
Description:  Continuation of ccorpus but using embed.FS
Fedora Account System Username: mikep

COPR repository:
[copr:copr.fedorainfracloud.org:mikep:golang]
name=Copr repo for golang owned by mikep
baseurl=https://download.copr.fedorainfracloud.org/results/mikep/golang/fedora-$releasever-$basearch/
type=rpm-md
skip_if_unavailable=True
gpgcheck=1
gpgkey=https://download.copr.fedorainfracloud.org/results/mikep/golang/pubkey.gpg
repo_gpgcheck=0
enabled=1
enabled_metadata=1

Comment 1 Robert-André Mauchin 🐧 2023-08-14 20:04:45 UTC
So I mentioned this before by mail, there is non free code in your SPEC.

WARNING: ccorpus has non free software included, you must regenerate assests.go with https://gitlab.com/cznic/assets binary after deleting the non free directories like in the SPEC:

rm -rfv assets/CompCert-3.6 assets/github.com/AbsInt/CompCert

There are a lot of assets, you need to assess the LICENCE for each project, include them in the SPEC and add a license breakdown for each project.

Comment 2 W. Michael Petullo 2023-08-15 15:13:09 UTC
Spec URL: https://www.flyn.org/SRPMS/golang-modernc-ccorpus2.spec
SRPM URL: https://www.flyn.org/SRPMS/golang-modernc-ccorpus2-1.4.1-1.fc38.src.rpm
Description:  Continuation of ccorpus but using embed.FS
Fedora Account System Username: mikep

Thank you, Robert-André. This revision pulls license files out of the assets when available. I also updated the list of licenses in the RPM specification, and I included the bits that pull out non-free stuff.

Comment 3 Robert-André Mauchin 🐧 2023-08-20 19:50:18 UTC
 - just switch off the test from: %bcond_with check

instead of:

%if %{with check}
%check
# Test data removed with CompCert.
%gocheck -d .
%endif



- License ok
- Latest version packaged
- Builds in mock
- No rpmlint errors
- Conforms to Go Packaging Guidelines

Package approved.

Please:
 - add commit rights to go-sig after requesting the repo
 - add the package to Koschei in the go-sig group on all branches you are building
 - add the package to release-monitoring.org even if it does not release version

Comment 4 Fedora Admin user for bugzilla script actions 2023-08-20 20:29:24 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-modernc-ccorpus2

Comment 5 Fedora Update System 2023-08-20 21:05:54 UTC
FEDORA-2023-81b18bbce8 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-81b18bbce8

Comment 6 Fedora Update System 2023-08-20 21:06:37 UTC
FEDORA-2023-81b18bbce8 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.